<script lang="ts">
  export let speech: Speech;
  export let player: PlayerState;
</script>

{#if speech.Assassinated}
  <gs6-user userid={speech.Assassinated.target} /> is Merlin!
{:else if speech.WasAssassinated && player.hand.Merlin}
  You're right!
{:else if speech.WasAssassinated && !player.hand.Merlin}
  You're wrong!
{/if}
